Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdClients

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdClients

    public class cmdClients
    extends DatecsFiscalDevice

Class for Defining and reading items

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdClients.ClientInfoModel` | Data Class for Clients Data
  `static class` | `cmdClients.ClientsInfo` | Holds info of device clients-database.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdClients()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `DelAllItems()` | Deleting All Device Clients Database
  `boolean` | `DelClientsInRange​(int from, int to)` | Items deleting
  `cmdClients.ClientInfoModel` | `findClientByEIK​(java.lang.String EIK)` |
  `cmdClients.ClientInfoModel` | `GetFirstFoundProgrammed​(int startItem)` | Returns data about the first found programmed item
  `int` | `GetFirstNotProgrammed​(int startItem)` | Find the first not programmed item
  `cmdClients.ClientsInfo` | `GetItemsInformation()` | Read the Clients database information;
  `cmdClients.ClientInfoModel` | `GetLastFoundProgrammed​(int startItem)` | Returns data about the last found programmed item
  `int` | `GetLastNotProgrammed​(int startItem)` | Find the last not programmed item
  `cmdClients.ClientInfoModel` | `GetNextProgrammed()` | Returns data for the next found programmed item
  `cmdClients.ClientInfoModel` | `ReadItemByID​(int firmID)` | Reading item data
  `void` | `SetItem​(cmdClients.ClientInfoModel item)` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdClients

    public cmdClients()

- ## Method Details

  - ### DelAllItems

    public boolean DelAllItems() throws java.lang.Exception
    Deleting All Device Clients Database
    Returns:
    Throws:
      `java.lang.Exception`

  - ### SetItem

    public void SetItem​(cmdClients.ClientInfoModel item) throws java.lang.Exception
    Parameters:
      `item` - ClientInfoModel
    Throws:
      `java.lang.Exception`

  - ### DelClientsInRange

    public boolean DelClientsInRange​(int from, int to) throws java.lang.Exception
    Items deleting
    Parameters:
      `from` - - First FIRM to delete
      `to` - - Last FIRM to delete -Use toItem=1 to delete item in index 'from'
    Returns:
    Throws:
      `java.lang.Exception`

  - ### ReadItemByID

    public cmdClients.ClientInfoModel ReadItemByID​(int firmID) throws java.lang.Exception
    Reading item data
    Parameters:
      `firmID` - - Item number (1...3000);
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstFoundProgrammed

    public cmdClients.ClientInfoModel GetFirstFoundProgrammed​(int startItem) throws java.lang.Exception
    Returns data about the first found programmed item
    Parameters:
      `startItem` - Item number (1...3000) Default: 0
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastFoundProgrammed

    public cmdClients.ClientInfoModel GetLastFoundProgrammed​(int startItem) throws java.lang.Exception
    Returns data about the last found programmed item
    Parameters:
      `startItem` - Item number (1...1000). Default: 1000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetNextProgrammed

    public cmdClients.ClientInfoModel GetNextProgrammed() throws java.lang.Exception
    Returns data for the next found programmed item
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetFirstNotProgrammed

    public int GetFirstNotProgrammed​(int startItem) throws java.lang.Exception
    Find the first not programmed item
    Parameters:
      `startItem` - Item number(1...1000). Default: 0;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetLastNotProgrammed

    public int GetLastNotProgrammed​(int startItem) throws java.lang.Exception
    Find the last not programmed item
    Parameters:
      `startItem` - Item number (1...1000). Default: 1000;
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetItemsInformation

    public cmdClients.ClientsInfo GetItemsInformation() throws java.lang.Exception
    Read the Clients database information;
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`
      `FiscalException`
      `java.lang.Exception`

  - ### findClientByEIK

    public cmdClients.ClientInfoModel findClientByEIK​(java.lang.String EIK) throws java.io.IOException, FiscalException
    Parameters:
      `EIK` -
    Returns:
    Throws:
      `java.io.IOException`
      `FiscalException`